/*++Children.java+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.cap;


import  edu.washington.cac.calendar.icalendar.TextListProp;


/**
 * CAP CHILDREN property.
 *
 *<PRE>	<!-- for alignment purposes -->&nbsp;
 * Spec:
 *   section:	9.2 ???(not formally defined) [CAP/09]
 *   occurs:	0+ (VCALSTORE)
 *   datatypes:	TEXT (0+)
 *   default:	---
 *   allowed:	---
 *   params:	xparam (0+)???
 *</PRE>
 *
 * @author slh
 * @version 0.00 2002/12/11 slh
 */
public
class  Children
extends  TextListProp
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  /**
   * Create a CHILDREN property with default value.
   */
  public
  Children  (		)
  {
    super( Names.strProp_Children );

    try {
      /*void*/set( strMandatory );
    } catch (Exception	e	) {
      /* well, this should not have happened... */
      throw new Error( getName(  ) + ": internal error: " + e );
    }
  }


  /**
   * Create a CHILDREN property set to supplied value.
   */
  public
  Children  (String	strValue	)
  {
    super( Names.strProp_Children , strValue );
  }


/*----------------------------------------------------------------------------
 *						Class Public Constants
 *--------------------------------------------------------------------------*/

  final static public  String	strMandatory	= "";

}


/* Log:
 *  0.00  2002/12/11  slh
 *        create
 */
/*--Children.java-----------------------------------------------------------*/
