/*++RequestStatus.java++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.cap;


/**
 * CAP REQUEST-STATUS property.
 *
 *<PRE>	<!-- for alignment purposes -->&nbsp;
 *   section:	8.23, 10.11 [CAP-09]
 *   occurs:	VCALENDAR, VREPLY, VEVENT, VTODO, VJOURNAL, VFREEBUSY (1)???
 *   datatypes:	TEXT (1)
 *   default:	---
 *   allowed:	format: <d>[.<d>[.<d>]];<code>;[<desc>];[<data>]
 *   params:	LANGUAGE (0-1), xparam(0+)
 *</PRE>
 *
 * @author  slh
 * @version  0.00 2003/02/10 slh
 */


public
class  RequestStatus
extends  edu.washington.cac.calendar.icalendar.RequestStatus
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  /**
   * Create a REQUEST-STATUS property, unset.
   */
  public
  RequestStatus  (		)
  {
    super(  );
  }


  /**
   * Create a REQUEST-STATUS property set to the supplied value.
   */
  public
  RequestStatus  (String	strValue	)
  {
    super( strValue );
  }


/*----------------------------------------------------------------------------
 *						Object Public Methods
 *--------------------------------------------------------------------------*/

  public
  void
  set  (String	strValue	)
  throws Exception
  {
//???check format of msg
    /*void*/super.set( strValue );
  }


  public
  void
  set  (String	strCode	,
	String	strDesc	,
	String	strData	)
  throws Exception
  {
    if (strCode == null) {
      throw new NullPointerException( getName(  ) + ":set()" +
		": strCode (String) is null" );
    }

//???check format of msg
    /*void*/super.set( strCode + ";" +
		       (strDesc == null ? "" : strDesc) + ";" +
		       (strData == null ? "" : strData) );
  }


/*----------------------------------------------------------------------------
 *						Object Protected Methods
 *--------------------------------------------------------------------------*/

  /* using configProperty() from icalendar.RequestStatus */

}


/* Log:
 *  0.10  2003/02/10  slh
 *        (new year, new version...)
 *        updated to incomplete derivation of icalendar.RequestStatus
 *  0.00  2002/12/11  slh
 *        create
 */
/*--RequestStatus.java------------------------------------------------------*/
