// java

package edu.washington.cac.calendar.data;

/**
  A set of access rights for a public object 
  @author Greg Barnes
  @version 1.0
 */
public class PublicAccessRights extends AccessRights
{
  /**
    Create access rights for a public object
    @param c The public object
   */
  PublicAccessRights(CalendarObject c)
  {
    super(c);
  }

  /** Can a user read (search for, include in their cache) the object?
    @param user User to test
    @return Can the user read (search for, include in their cache) the object?
   */
  boolean canBeReadBy(User user)
  {
    return true;
  }

  //%%% Below need to be modified to handle public events entry rules.

  /** Can a user modify the object?
    @param user User to test
    @return Can the user modify the object?
   */
  boolean canBeModifiedBy(User user)
  {
    return false;
  }

  /** Can a user create the object?
    @param user User to test
    @return Can the user create the object?
   */
  boolean canBeCreatedBy(User user)
  {
    return false;
  }

  /** Can a user delete the object?
    @param user User to test
    @return Can the user delete the object?
   */
  boolean canBeDeletedBy(User user)
  {
    return false;
  }
}
