package pubevents;

import java.sql.SQLException;

/** The base class of the UWCal admin servlets. 

   @version 1.1
   @author Greg Barnes
*/
public abstract class AdminServlet extends PubEventsEntryServlet 
{
  /** The URL of the login page for adminstrators */
  protected static final String START_URL = PEDefaults.ADMIN_LOGIN_URL;

  /** @return The URL of the login page */
  protected String getStartURL() 
  {
    return START_URL;
  }

  /** @return the name of the 'not authorized' file for this servlet */
  protected String getNotAuthorizedFile()
  {
    return PEDefaults.NOT_AN_ADMIN;
  }

  /**
    @return Whether a user is authorized to log in
    @param uid User to check
    @exception SQLException If there's a problem checking the database
   */
  protected boolean authorized(String uid) throws SQLException
  {
    return super.adminAuthorized(uid);
  }
}
