package pubevents;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import edu.washington.cac.myuw.servlet.session.InvalidSession;
import edu.washington.cac.myuw.servlet.session.UWSession;

import edu.washington.cac.calendar.CalLogFactory;
import edu.washington.cac.calendar.CalProperties;
import pubevents.util.PEMessageMaker;
import pubevents.util.PrintWebPage;

public abstract class PubEventsLoginServlet extends PubEventsServlet
{
  /**
    Get the user making the request
    @param req HTTP request object
    @exception InvalidSession If there's a problem with the session
    @exception Exception If there's a problem
   */
  protected String getUser(HttpServletRequest req)
      throws InvalidSession, Exception
  {
    return req.getRemoteUser();
  }

  /** @return the name of the 'not authorized' file for this servlet */
  protected abstract String getNotAuthorizedFile();

  /** @return The URL of the menu servlet */
  protected abstract String menuUrl();

  /** Perform the main action of the servlet
    @param req HTTP request object
    @param resp HTTP response object
    @exception Exception If there's a problem 
   */
  protected void performAction(HttpServletRequest req, HttpServletResponse resp)
      throws Exception
  {
    UWSession session = new UWSession(req, getLogFactory());
    session.start(getUid(), new CalLogFactory().create(getUid()));
    resp.setHeader("Refresh", 
                   "0;URL=" + 
                   redirectUrl(req, menuUrl(), CalProperties.useHttps()));
    new PEMessageMaker().loginMessage(resp, menuUrl());
  }
}
