package pubevents.guestlogin;

import javax.servlet.http.HttpServletRequest;

import edu.washington.cac.calendar.InsecureAuthenticator;
import edu.washington.cac.calendar.data.User;

import pubevents.userlogin.PubEventsLogin;

/**
  A class that provides an insecure login facility (e.g., for testing).
  To set the userid, merely set the form parameter 'uid'

  @author Greg Barnes
  @version 0.1
 */
public class InsecurePubEventsLogin extends PubEventsLogin
{
  /** @return A printable name for the servlet */
  protected String getName() 
  {
    return "InsecurePubEventsLogin";
  }

  /** 
    @return The user for the calendar session to use
    @param req The HTTP servlet request object
    @exception IllegalStateException If insecure logins are not allowed
   */
  protected String getUser(HttpServletRequest req) throws IllegalStateException
  {
    return new InsecureAuthenticator().getUser(req).getName();
  }

  /** @return Printable info about the servlet */
  public String getServletInfo() 
  {
    return "InsecurePubEventsLogin servlet: Start Cal Session and redirect";
  }
}
