package pubevents.updtevents;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import pubevents.NotAdminServlet;
import pubevents.PEDefaults;

/** Display an event that is going to be updated.
  
  @author Greg Barnes
  @version 3.0
 */
public class DisplayEvents extends NotAdminServlet 
{
  /**
    Do the action by displaying a form
    @param req Http request object
    @param resp Http response object
    @exception IOException if there's trouble reading or writing
   */
  public void performAction(HttpServletRequest req, HttpServletResponse resp)
      throws SQLException, IOException 
  {
    new EventFormDisplayer(req, resp, PEDefaults.UPDATE_FUNCTION,
                           PEDefaults.BACK_TO_MENU, 
                           PEDefaults.UPDATE_EVENT_TITLE, 
                           getUid()).displayFromDB();
  }
}
