package pubevents.updtevents;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;
import java.io.PrintWriter;
import java.sql.ResultSet;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import edu.washington.cac.calendar.CalParameter;
import pubevents.AdminServlet;
import pubevents.PEDefaults;
import pubevents.PEParameter;
import pubevents.util.ConvertRoutines;

import uwcal.out.Page;

/** enter event creator id (UW NetID).
  
  @author Leman Chung
  @version 2.0
 */
public class UpdtAsUser extends AdminServlet 
{
    PrintWriter out;

    private String template_UpdtAsUser = PEDefaults.UPDT_AS_USER;
    private String template_UpdtViaDates = PEDefaults.UPDT_VIA_DATES;
    private String templateFile;

  public void performAction(HttpServletRequest req, HttpServletResponse res)
         throws IOException {
    out = res.getWriter();
    PEParameter pep = new PEParameter(req);
    BufferedReader in;

    if (pep.getFunction().indexOf("NetID") != -1) {
        templateFile = template_UpdtAsUser;
        in = new BufferedReader(new InputStreamReader(
                this.getClass().getResourceAsStream(templateFile)));
        updtAsUser(in, out);
    } else {
        templateFile = template_UpdtViaDates;
        in = new BufferedReader(new InputStreamReader(
                this.getClass().getResourceAsStream(templateFile)));
        updtViaDates(in, out);
    }

    in.close();
    out.close();
  }

  public void updtAsUser(BufferedReader in, PrintWriter out) throws IOException
  {
        String aline = in.readLine(); // IOException
        while (aline != null) {
          if (aline.startsWith("%%%html_title")) {
              out.println("Events Calendar: Update as another user");
          } else if (aline.startsWith("%%%logo")) {
              out.println(Page.LOGO);
          } else if (aline.startsWith("%%%action")) {
              out.println("\"pubevents.updtevents.AdminListUpdates\"");
          } else if (aline.startsWith("%%%" + CalParameter.FUNCTION)) {
              out.println("\"" + PEDefaults.UPDATE_FUNCTION + "\"");
          } else if (aline.startsWith("%%%")) {
              // skip this line
          } else {
              out.println(aline);
          }
          aline = in.readLine();
        }
  }

  public void updtViaDates(BufferedReader in, PrintWriter out) throws IOException {
        String currYear = new ConvertRoutines().getCurrYear();

        String aline = in.readLine();   // IOException
        while (aline != null) {
          if (aline.startsWith("%%%html_title")) {
              out.println("Events Calendar: Update Other People's Public Events via Date Range");
          } else if (aline.startsWith("%%%logo")) {
              out.println(Page.LOGO);
          } else if (aline.startsWith("%%%action")) {
              out.println("\"pubevents.updtevents.AdminUpViaDates\"");
          } else if (aline.startsWith("%%%" + CalParameter.FUNCTION)) {
              out.println("\"" + PEDefaults.UPDATE_FUNCTION + "\"");
          } else if (aline.startsWith("%%%sel_smon_None")) {
              out.println("selected");
          } else if (aline.startsWith("%%%sel_emon_None")) {
              out.println("selected");
          } else if (aline.startsWith("%%%sel_syear_" + currYear)) {
              out.println("selected");
          } else if (aline.startsWith("%%%sel_eyear_" + currYear)) {
              out.println("selected");
          } else if (aline.startsWith("%%%")) {
              // skip this line
          } else {
              out.println(aline);
          }
          aline = in.readLine();
        }
  }
} // the end.
