/*++HTML.java++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  uwcal.export;


import  java.io.PrintWriter;

import  edu.washington.cac.calendar.icalendar.Utilities;


/**
 * Package HTML support.
 *
 * @author  slh
 * @version  0.00 2003/09/03 slh
 */
public
class  HTML
{

/*----------------------------------------------------------------------------
 *						Class Public Methods
 *--------------------------------------------------------------------------*/

  /**
   * GENerates (to pw) a TEXT ITEM.
   *
   * Optionally outputs tags for vertically-oriented table context.
   */
  static public
  void  genTextItem  (PrintWriter	pw		,
		      String		strParamName	,
		      String		strLabel	,
		      String		strAccessKey	,
		      String		strDescr	,
		      String		strValue	,
		      boolean		bTable		)
  {
    if (bTable) {
      /*void*/pw.println( "<tr><td>" );
    }
    if (strLabel != null && !strLabel.equals( "" )) {
      /*void*/genLabelTag( pw , strParamName , strAccessKey , strLabel );
    }
    if (bTable) {
      /*void*/pw.println( "</td><td>" );
    }
    /*void*/pw.println( "<input type='text'" +
			" name='" + strParamName + "'" +
			" id='" + strParamName + "'" +
			" value='" + strValue + "'>" );
    if (bTable) {
      /*void*/pw.println( "</td></tr>" );
    }
    if (strDescr != null && !strDescr.equals( "" )) {
      /*void*/genDescr( pw , strDescr , bTable );
    }
  }


  /**
   * GENerates (to pw) CHECKBOX ITEM.
   *
   * Optionally outputs tags for vertically-oriented table context.
   */
  static public
  void  genCheckboxItem  (PrintWriter	pw		,
			  String	strParamName	,
			  String	strLabel	,
			  String	strAccessKey	,
			  String	strDescr	,
			  boolean	bSelected	,
			  boolean	bTable		)
  {
    if (bTable) {
      /*void*/pw.println( "<tr><td>" );
    }
    if (strLabel != null && !strLabel.equals( "" )) {
      /*void*/genLabelTag( pw , strParamName , strAccessKey , strLabel );
    }
    if (bTable) {
      /*void*/pw.println( "</td><td>" );
    }
    /*void*/pw.println( "<input type='checkbox'" +
			" name='" + strParamName + "'" +
			" id='" + strParamName + "'" +
			" value='on'" +
			(bSelected ? " checked" : "") + ">" );
    if (bTable) {
      /*void*/pw.println( "</td></tr>" );
    }
    if (strDescr != null && !strDescr.equals( "" )) {
      /*void*/genDescr( pw , strDescr , bTable );
    }
  }


  /**
   * GENerates (to pw) RADIO GROUP ITEM.
   *
   * Optionally outputs tags for vertically-oriented table context.
   */
  static public
  void  genRadioGroupItem  (PrintWriter	pw		,
			    String	strParamName	,
			    String	strLabel	,
			    String	strAccessKey	,
			    String	strDescr	,
			    String	astrLabel[]	,
			    String	astrValue[]	,
			    String	strSelected	,
			    boolean	bTable		)
  {
    int		idx;

    if (bTable) {
      /*void*/pw.println( "<tr><td>" );
    }
    if (strLabel != null && !strLabel.equals( "" )) {
      /*void*/genLabelTag( pw , strParamName , strAccessKey , strLabel );
    }
    if (bTable) {
      /*void*/pw.println( "</td><td>" );
    }
    for (idx = 0 ; idx < astrLabel.length ; idx++) {
      /*void*/pw.println(
		"<input type='radio'" +
		" name='" + strParamName + "'" +
		" id='" + strParamName + "'" +
		" value='" + astrValue[idx] + "'" +
		(strSelected.equals( astrValue[idx] ) ? " checked" : "") +
		">" + astrLabel[idx] + "</input>" );
    }
    if (bTable) {
      /*void*/pw.println( "</td></tr>" );
    }
    if (strDescr != null && !strDescr.equals( "" )) {
      /*void*/genDescr( pw , strDescr , bTable );
    }
  }


  static protected
  void  genDateItem  (PrintWriter	pw			,
		      String		strParamNamePrefix	,
		      String		strLabel		,
		      String		strAccessKey		,
		      String		strDescr		,
		      String		strDate			,
		      boolean		bTable			)
  {
    int[]	aDate		= new int[3];
    String	astrValue[]	= Config.getYearList(  );

    aDate = Utilities.splitNumber( strDate , new int[] {4, 2, 2} );

    if (bTable) {
      /*void*/pw.println( "<tr><td>" );
    }
    /*void*/genLabelTag(
		pw ,
		strParamNamePrefix + Config.strParamNameBase_Month ,
		strAccessKey , strLabel );
    if (bTable) {
      /*void*/pw.println( "</td><td>" );
      /*void*/pw.println( "<table><tr><td>" );
    }
    /*void*/genSelectItem(
		pw ,
		strParamNamePrefix + Config.strParamNameBase_Month ,
		"" , "" , "" ,
		Config.astrLabel_Month , Config.astrValue_Month ,
		Config.astrValue_Month[aDate[1] - 1] , false );
    if (bTable) {
      /*void*/pw.println( "</td><td>" );
    }
    /*void*/genSelectItem(
		pw ,
		strParamNamePrefix + Config.strParamNameBase_Day ,
		"" , "" , "" ,
		Config.astrLabel_Day , Config.astrValue_Day ,
		Config.astrValue_Day[aDate[2] - 1] , false );
    if (bTable) {
      /*void*/pw.println( "</td><td>" );
    }
    /*void*/genSelectItem(
		pw ,
		strParamNamePrefix + Config.strParamNameBase_Year ,
		"" , "" , "" ,
		astrValue , astrValue ,
		"" + aDate[0] , false );
    if (bTable) {
      /*void*/pw.println( "</td></tr></table>" );
      /*void*/pw.println( "</td></tr>" );
    }
    /*void*/genDescr( pw , strDescr , bTable );
  }


  /**
   * GENerates (to pw) SELECT ITEM.
   *
   * Optionally outputs tags for vertically-oriented table context.
   */
  static public
  void  genSelectItem  (PrintWriter	pw		,
			String		strParamName	,
			String		strLabel	,
			String		strAccessKey	,
			String		strDescr	,
			String		astrLabel[]	,
			String		astrValue[]	,
			String		strSelected	,
			boolean		bTable		)
  {
    int		idx;

    if (bTable) {
      /*void*/pw.println( "<tr><td>" );
    }
    if (strLabel != null && !strLabel.equals( "" )) {
      /*void*/genLabelTag( pw , strParamName , strAccessKey , strLabel );
    }
    if (bTable) {
      /*void*/pw.println( "</td><td>" );
    }
    /*void*/pw.println(
		"<select name='" + strParamName + "'" +
		" id='" + strParamName + "'>" );
    for (idx = 0 ; idx < astrLabel.length ; idx++) {
      /*void*/pw.println(
		"<option" +
		" label='" + astrLabel[idx] + "'" +
		" value='" + astrValue[idx] + "'" +
		(strSelected.equals( astrValue[idx] ) ? " selected" : "") +
		">" + astrLabel[idx] + "</option>" );
    }
    /*void*/pw.println( "</select>" );
    if (bTable) {
      /*void*/pw.println( "</td></tr>" );
    }
    if (strDescr != null && !strDescr.equals( "" )) {
      /*void*/genDescr( pw , strDescr , bTable );
    }
  }


  /**
   * GENerates (to pw) HTML for LABEL tag.
   */
  static public
  void  genLabelTag  (PrintWriter	pw		,
		      String		strId		,
		      String		strAccessKey	,
		      String		strLabel	)
  {
    /*void*/pw.print( "<label" );
    if (strId != null && !strId.equals( "" )) {
      /*void*/pw.print( " for='" + strId + "'" );
    }
    if (strAccessKey != null && !strAccessKey.equals( "" )) {
      /*void*/pw.print( " accesskey='" + strAccessKey + "'" );
    }
    /*void*/pw.println( ">" + strLabel + " :</label>" );
  }


  /**
   * GENerates (to pw) html for DESCRiptions for items.
   *
   * Optionally outputs tags for vertically-oriented table context.
   */
  static public
  void  genDescr  (PrintWriter	pw	,
		   String	strText	,
		   boolean	bTable	)
  {
    if (bTable) {
      /*void*/pw.println( "<tr><td colspan='2'>" );
    }
    /*void*/pw.println(
		"<small>" + mc_strHTML_indent + strText + "</small>" );
    if (bTable) {
      /*void*/pw.println( "</td></tr>" );
    }
  }


/*----------------------------------------------------------------------------
 *                                              Class Private Constants
 *--------------------------------------------------------------------------*/

  static private final String   mc_strHTML_indent       =
                                                "&nbsp;&nbsp;&nbsp;&nbsp;";

}


/* Note: update class header too */
/* Log:
 *  0.00  2003/06/25, 2003/06/30 - 2003/07/01, 2003/09/03  slh
 *        create from PublicEntriesPage
 */
/*--HTML.java---------------------------------------------------------------*/
