// java

package uwcal.out;

import javax.servlet.http.HttpServletResponse;

import org.apache.ecs.html.A;

import edu.washington.cac.calendar.CalProperties;
import edu.washington.cac.calendar.MyCalendar;
import edu.washington.cac.myuw.servlet.MessageMaker;

/** version of the MessageMaker class for the calendar
    @author Greg Barnes
    @version 1.2
   */
public class CalMessageMaker extends MessageMaker 
{
  /**
    Create a new instance
   */
  public CalMessageMaker() 
  {
    super(DisplayText.APP_NAME, WebResources.WELCOME_URL, 
          Dayview.url(new MyCalendar()), DisplayText.CONTACT_EMAIL,
          CalProperties.cookiesHelpUrl());
  }
  
  /**
    get an explanation of the action a user can perform if they were
    booted out due to an Invalid Session.  For now, we want to only
    allow user logins, not guest, so just let them log in again.

    @returns an HTML string telling them they can log in again.
   */
  protected String sessionAction() 
  {
    return new A(WebResources.LOGIN_URL, DisplayText.LOGIN_AGAIN).toString();
  }
}
