// java

package uwcal.out;

import org.apache.ecs.Element;
import org.apache.ecs.ElementContainer;
import org.apache.ecs.Entities;
import org.apache.ecs.html.BR;
import org.apache.ecs.html.TD;
import org.apache.ecs.html.TR;

import edu.washington.cac.calendar.MyCalendar;
import edu.washington.cac.calendar.data.Event;
import edu.washington.cac.calendar.data.EventsI;
import edu.washington.cac.calendar.data.User;

/** An object that creates a list of events broken up by hour
    @author Greg Barnes
    @version 1.1
  */
public class HourlyEventList extends EventList 
{
  /** Create a new instance
    @param user User of the app
    @param today Current day
    @param view View this list is a part of
   */
  protected HourlyEventList(User user, MyCalendar today, Timeview view) 
  {
    super(new HourlyEventPrinter(user, today, view));
  }

  /**
    @return The list of events as HTML
    @param ea Ordered list of events
    @param es Events cache
   */
  protected Element eventsRows(Event[] ea, EventsI es) 
  {
    if (ea.length == 0) {
      return new TR().
             addElement(new TD().setColSpan(3).
                        addElement(Entities.NBSP + DisplayText.NO_EVENTS_TODAY).
                        setClass(Style.EVENTLIST_DESC));
    } else {
      int i;
      ElementContainer ec = new ElementContainer();

      for (i = 0; i < ea.length; i++) {
        ec.addElement(new TR().
                      addElement(ep.format(ea[i], es)).
                      addElement("\n"));
      }

      return ec;
    }
  }
}
