// java

package uwcal.out;

import org.apache.ecs.AlignType;
import org.apache.ecs.Element;
import org.apache.ecs.html.TD;
import org.apache.ecs.html.TR;

import edu.washington.cac.calendar.data.Event;
import edu.washington.cac.calendar.data.EventsI;

/** An object that creates a list of events 
   @author Greg Barnes
   @version 1.0
 */
public class SimpleEventList extends EventList {
  protected SimpleEventList(EventPrinter ep) {
      super(ep);
  }

  protected Element eventsRows(Event[] ea, EventsI es) {
      if (ea.length == 0) {
          return new TR().addElement("\n");
      } else {
          int i;
          TD today = new TD().setAlign(AlignType.LEFT);

          for (i = 0; i < ea.length; i++) {
              today.addElement(ep.format(ea[i], es)).addElement("\n");
          }

          return new TR().addElement(today);
      }
  }
}
