// java

package uwcal.out;

import java.util.Iterator;

import org.apache.ecs.Element;
import org.apache.ecs.ElementContainer;
import org.apache.ecs.html.Input;
import org.apache.ecs.html.TD;

import edu.washington.cac.calendar.CalParameter;
import edu.washington.cac.calendar.data.EventsI;
import edu.washington.cac.calendar.data.PersonalEvents;
import edu.washington.cac.calendar.filter.Calendar;

import uwcal.out.forms.SubscriptionsForm;

/**
  A page to subscribe to named calendars
  @author Greg Barnes
  @version 1.0
 */
public class Subscriptions extends AllCalendars
{
  /**
    Create a new instance
    @param es User's events cache
    @param message Message to display at the top of the page
    @param view View we came from
   */
  protected Subscriptions(EventsI es, 
                          String message,
                          Timeview view) 
  {
    super(es, message, view);
  }

  /**
    Get the text to subscribe to a calendar
    @param calendar Calendar to subscribe to
    @return the text to subscribe to a calendar
   */
  protected Element subscribeCheckbox(Calendar calendar)
  {
    return new Input(Input.CHECKBOX, CalParameter.CALENDAR, calendar.getId()).
        setChecked(((PersonalEvents) this.es).containsSubscription(calendar));
  }

  /**
    Get the contents of a single calendar row as HTML
    @param cal Calendar
    @return the calendar, as HTML
   */
  protected Element oneCalendar(Calendar cal)
  {
    return 
        new ElementContainer().addElement(subscribeCheckbox(cal)).
                               addElement(super.oneCalendar(cal));
  }

  /**
    Get the bulk of the page as HTML
    @return the bulk of the page as HTML
   */
  protected Element allCalendars()
  {
    return new SubscriptionsForm(this, twoColumnCalendarList(mcl)).getForm();
  }

  /**
    Get the HTML title for the page
    @return the HTML title for the page
   */
  protected String title() 
  {
    return DisplayText.SUBSCRIPTIONS_TITLE;
  }
}
