// java

package uwcal.out;

import java.text.DateFormat;
import java.util.Calendar;

import edu.washington.cac.calendar.CalParameter;
import edu.washington.cac.calendar.MyCalendar;

/**
  Used for printing the prev/this/next links at the top of a page representing
   a week.
  @author Greg Barnes
  @version 1.0
 */
public class WeekDateHeader extends DateHeader
{
  /** Create a new instance 
    @param mc The current date
   */
  public WeekDateHeader(MyCalendar mc) 
  {
    super(mc, CalParameter.WEEKVIEW_FUNC);
  }

  /** Get the previous week 
    @return The previous week
   */
  public MyCalendar prevDate() 
  {
    return this.mc.addTime(Calendar.WEEK_OF_YEAR, -1);
  }

  /** Get the next week 
    @return The next week
   */
  public MyCalendar nextDate() 
  {
    return this.mc.addTime(Calendar.WEEK_OF_YEAR, 1);
  }

  /** Get a string representation for this week
    @return a string representation for this week
   */
  public String thisString() 
  {
    return DisplayText.WEEK_OF + this.mc.dateString(DateFormat.LONG);
  }
}
