// java

package uwcal.out;

import org.apache.ecs.Element;
import org.apache.ecs.ElementContainer;
import org.apache.ecs.html.BR;

import edu.washington.cac.calendar.MyCalendar;
import edu.washington.cac.calendar.data.User;

/**
  An object that prints events in a week view
  @author Greg Barnes
  @version 1.1
 */
public class WeekEventPrinter extends SimpleEventPrinter 
{
  /**
    Create a new instance
    @param user User for whom the events are printed
    @param today The current day
    @param view View this printer is a part of
   */
  protected WeekEventPrinter(User user, MyCalendar today, Timeview view) 
  {
    super(user, today, view);
  }

  protected String linkStyle() 
  {
    return Style.LINK_ITEM;
  }

  protected String descStyle() 
  {
    return Style.WEEK_DESC;
  }

  protected String spanStyle() 
  {
    return Style.DAY_ITEM;
  }

  protected Element eventPrefix() 
  {
    return new ElementContainer();
  }

  protected Element eventSpacing() 
  {
    return new ElementContainer().addElement(new BR()).addElement(new BR());
  }
}
