// java

package uwcal.out.forms;

import org.apache.ecs.ElementContainer;

import edu.washington.cac.calendar.CalParameter;
import edu.washington.cac.calendar.MyCalendar;
import edu.washington.cac.calendar.data.Sponsor;

import uwcal.out.Page;

/**
  Form to edit a sponsor
  @author Greg Barnes
  @version 1.0
 */
public class EditSponsorForm extends SponsorForm 
{
  /** Create a new instance
    @param page Page this form is a part of
    @param s The sponsor to be edited
   */
  public EditSponsorForm(Page page, Sponsor s) 
  {
    super(page, s);
  }

  protected ElementContainer hiddens() 
  {
    return super.hiddens().
        addElement(hidden(CalParameter.SPONSOR_ID, s.getId())).
        addElement("\n");
  }

  protected String formFunction() 
  {
    return CalParameter.REPLACESPONSOR_FUNC;
  }

  protected String titleText() 
  {
    return FormsDisplayText.EDIT_SPONSOR_TITLE;
  }

  protected String submitButtonText() 
  {
    return FormsDisplayText.CHANGE_SPONSOR;
  }
}
