//java

package uwcal.out.forms;

import org.apache.ecs.Element;
import org.apache.ecs.html.*;

import edu.washington.cac.calendar.MyCalendar;
import edu.washington.cac.calendar.CalParameter;

import uwcal.out.Page;
import uwcal.out.WebResources;

/**
  A form used for navigation:   input month/day/year [Go!]

  @author Greg Barnes
  @version 1.1
 */
public class GoForm 
{
  /** The Page the form is on */
  protected Page page;

  /** Create a new instance
    @param sid The session identifier
   */
  public GoForm(Page page) 
  {
    this.page = page;
  }

  /**
    Get a Go Button
    @return a Go Button, as HTML
   */
  public static Element goButton()
  {
    return CommonFormElements.submitButton(FormsDisplayText.GO);
  }

  public Element getForm() 
  {
    return new Form(WebResources.BASE_POST_URL, Form.POST).
           setName("navform").addElement("\n").
           addElement(new Input(Input.HIDDEN, CalParameter.FUNCTION, 
                                CalParameter.GO_FUNC)).
           addElement("\n").
           addElement(new Input(Input.HIDDEN, CalParameter.IDENTIFIER_NAME, 
                                this.page.getSessionIdentifier())).
           addElement("\n").
           addElement(new DateInputs(this.page.getMc(), 
                                     CalParameter.START_MONTH,
                                     CalParameter.START_DAY, 
                                     CalParameter.START_YEAR, null, 
                                     new NoSameWidget()).getInputs()).
           addElement(goButton());
  }
}
